/**************************************************************************

	nLaunch

	file.h

	Copyright (C) 1996-2002 by Tomoaki Nakashima. All rights reserved.
		http://www.nakka.com/
		nakka@nakka.com

**************************************************************************/

#ifndef _INC_FILE_H
#define _INC_FILE_H

/**************************************************************************
	Include
**************************************************************************/

#include "general.h"


/**************************************************************************
	Function Prototypes
**************************************************************************/

int FileSelect(const HWND hDlg, char *ret);
BOOL FolderSelect(const HWND hWnd, char *ret);
void ConvFilename(char *buf);
void GetDirectory(char *buf);
int CreateFileList(char *path, char *filter, int ftype, int sdir, FILELIST **FileList, int cnt);
void FreeFileList(FILELIST *FileList, int cnt);
void MoveFileList(FILELIST *FileList, int to, int from);
int FindFileList(FILELIST *FileList, int cnt, int index, char c);
BOOL RestoreFileList(char *path, FILELIST *FileList, int cnt);
BOOL SaveFileList(char *path, FILELIST *FileList, int cnt);

#endif

/* End of source */
